View Issue Details

IDProjectCategoryLast Update
0012302Bionic Dues[All Projects] Bug - GameplaySep 28, 2013 2:39 am
ReporterAquohnAssigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product Version0.907 Start Of Alpha Round 2 
Fixed in Version0.926 
Summary0012302: Fuel tanks treated as enemies
DescriptionThis causes some pretty nonsensical messages about fuel tanks being out of ammo and the like, but also introduces some annoying gameplay quirks, e.g. SilenceBots redirect damage to fuel tanks, CommandBots boost fuel tank shields, etc.
TagsNo tags attached.
Internal WeightMajor Problem

Relationships

parent of 0012182 resolvedx4000Bughunter Fuel Tank can be "disarmed" by EMP 
parent of 0012288 closedx4000Bughunter Fuel Barrels should not have bot quotes 
parent of 0012394 resolvedx4000Bughunter Exploding fuel tank says 'out of ammo' 
related to 0012526 resolvedx4000Bughunter Fuel Tank is alerted when I walk over an alarm trap. 

Activities

Aquohn

Sep 12, 2013 8:23 am

reporter   ~0033517

Oh yes, forgot to mention: fuel tanks being treated as enemies also allows them to be "disarmed" by EMPs, such that when they die, they go up in tiny little puffs of flame instead of a giant kaboom of awesome. Which is pretty annoying.

x4000Bughunter

Sep 13, 2013 1:34 pm

administrator   ~0033615

Thanks!

* Fuel tanks will no longer be granted buffs from nearby enemies, or be vampirized by them, etc. If you see anything more like this, please do let us know, as it's not all in one place.

Aquohn

Sep 14, 2013 7:41 am

reporter   ~0033694

Fuel tanks can still be disabled by EMP and still threaten me with enemy bot lines when I walk past them.

keith.lamothe

Sep 28, 2013 2:39 am

administrator   ~0034245

For 0.926:

* Fixed a bug where Fuel Tanks could be disabled by EMP.
** Thanks to Aquohn for the report.

Thanks :)


I retested the bot speech line thing and it didn't even cast aspersions on my ancestry. So I think that was fixed earlier :)

Issue History

Date Modified Username Field Change
Sep 12, 2013 12:16 am Aquohn New Issue
Sep 12, 2013 7:19 am tigersfan Internal Weight => Major Problem
Sep 12, 2013 7:19 am tigersfan Assigned To => x4000Bughunter
Sep 12, 2013 7:19 am tigersfan Status new => assigned
Sep 12, 2013 8:23 am Aquohn Note Added: 0033517
Sep 12, 2013 8:23 am Aquohn Relationship added parent of 0012182
Sep 12, 2013 11:11 am Histidine Relationship added parent of 0012288
Sep 13, 2013 9:16 am Histidine Relationship added parent of 0012394
Sep 13, 2013 1:34 pm x4000Bughunter Note Added: 0033615
Sep 13, 2013 1:34 pm x4000Bughunter Status assigned => resolved
Sep 13, 2013 1:34 pm x4000Bughunter Fixed in Version => 0.909
Sep 13, 2013 1:34 pm x4000Bughunter Resolution open => fixed
Sep 14, 2013 7:41 am Aquohn Note Added: 0033694
Sep 14, 2013 7:41 am Aquohn Status resolved => feedback
Sep 14, 2013 7:41 am Aquohn Resolution fixed => reopened
Sep 18, 2013 2:23 pm Histidine Relationship added related to 0012526
Sep 27, 2013 11:58 pm keith.lamothe Status feedback => closed
Sep 27, 2013 11:58 pm keith.lamothe Resolution reopened => fixed
Sep 27, 2013 11:59 pm keith.lamothe Status closed => assigned
Sep 28, 2013 2:39 am keith.lamothe Note Added: 0034245
Sep 28, 2013 2:39 am keith.lamothe Status assigned => resolved
Sep 28, 2013 2:39 am keith.lamothe Fixed in Version 0.909 => 0.926